<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class AppointmentShift extends Model
{
    use HasFactory;
    protected $guarded = [];
    public function getDoctor()
    {
          return $this->belongsTo(Doctor::class,'doctor_id')->with('getAccount');
    }
    public function getShiftNames()
    {
          return $this->belongsTo(AppointmentDoctorShift::class,'shift_id');
    }
}
